# Makefile for sash
#
# The HAVE_GZIP definition adds the -gzip and -gunzip commands.
- # The HAVE_EXT2 definition adds the -chattr and -lsattr comamnds.
+ # The HAVE_LINUX_ATTR definition adds the -chattr and -lsattr commands.
+ # The HAVE_LINUX_MOUNT definition makes -mount and -umount work on Linux.
+ # The HAVE_BSD_MOUNT definition makes -mount and -umount work on BSD.
+ # The MOUNT_TYPE definition sets the default file system type for -mount.
#
-
-CFLAGS = -O3 -Wall -Wmissing-prototypes \
- -DHAVE_GZIP=$(HAVE_GZIP) \
+ HAVE_GZIP = 1
+ HAVE_LINUX_ATTR = 1
+ HAVE_LINUX_MOUNT = 1
+ HAVE_BSD_MOUNT = 0
+ MOUNT_TYPE = '"ext3"'
+
++DEFS = -DHAVE_GZIP=$(HAVE_GZIP) \
+ -DHAVE_LINUX_ATTR=$(HAVE_LINUX_ATTR) \
+ -DHAVE_LINUX_MOUNT=$(HAVE_LINUX_MOUNT) \
+ -DHAVE_BSD_MOUNT=$(HAVE_BSD_MOUNT) \
+ -DMOUNT_TYPE=$(MOUNT_TYPE)
++CFLAGS = -O3 -Wall -Wmissing-prototypes -g $(DEFS)
- CFLAGS = -g -Os -Wall -Wmissing-prototypes -DHAVE_GZIP -DHAVE_EXT2
LDFLAGS = -static -s
LIBS = -lz
cp sash $(BINDIR)/sash
cp sash.1 $(MANDIR)/sash.1
++%.o: %.c
++ $(CC) $(CFLAGS) $(DEFS) -c $<
++
$(OBJS): sash.h
#include <sys/ioctl.h>
#include <sys/types.h>
--#include <linux/ext2_fs.h>
++#include <ext2fs/ext2_fs.h>
#include "sash.h"
--- /dev/null
- Local variables:
- mode: debian-changelog
- add-log-mailing-address: "moth@debian.org"
- End:
++sash (3.7-5) unstable; urgency=low
++
++ * Add Japanese debconf translation (closes: #290129)
++ * Add German debconf translation (closes: #266357)
++
++ -- Tollef Fog Heen <tfheen@debian.org> Sat, 5 Feb 2005 12:57:59 +0100
++
++sash (3.7-4) unstable; urgency=low
++
++ * Add French debconf translation (closes: #232979)
++ * Add lintian override (closes: #235306)
++
++ -- Tollef Fog Heen <tfheen@debian.org> Thu, 1 Apr 2004 03:42:48 +0200
++
++sash (3.7-3) unstable; urgency=low
++
++ * Use po-debconf.
++
++ -- Tollef Fog Heen <tfheen@debian.org> Tue, 10 Feb 2004 03:12:41 +0100
++
++sash (3.7-2) unstable; urgency=low
++
++ * Fix versioned depends on passwd. (closes: #229192)
++
++ -- Tollef Fog Heen <tfheen@debian.org> Fri, 23 Jan 2004 17:57:59 +0100
++
++sash (3.7-1) unstable; urgency=low
++
++ * New upstream release
++ - Fixes (closes: #227164)
++ * Only ask about deleting sashroot account if it's actually
++ created. (closes: #225341)
++ * Ask about removing sashroot user in prerm instead of when
++ installing. (closes: #227637)
++
++ -- Tollef Fog Heen <tfheen@debian.org> Tue, 13 Jan 2004 00:41:55 +0100
++
++sash (3.6-5) unstable; urgency=low
++
++ * Remove -m call to useradd. (closes: #225093)
++ * Up standards-version.
++
++ -- Tollef Fog Heen <tfheen@debian.org> Fri, 26 Dec 2003 22:57:29 +0100
++
++sash (3.6-4) unstable; urgency=medium
++
++ * Use chown root:shadow instead of root.shadow in sashconfig
++ (closes: #217395)
++ * Depend on passwd (>= 20000902-12) (closes: #219961)
++ * Use debconf. (closes: #86208, #96566)
++ - Thereby getting rid of sashconfig. Yay.
++ * Build-dep on e2fslibs-dev, since it seems like libc6 broke us.
++ (closes: #223203)
++
++ -- Tollef Fog Heen <tfheen@debian.org> Wed, 17 Dec 2003 23:00:13 +0100
++
++sash (3.6-3) unstable; urgency=low
++
++ * .. and add build-deps for debhelper (closes: #216746)
++
++ -- Tollef Fog Heen <tfheen@debian.org> Tue, 21 Oct 2003 21:19:54 +0200
++
++sash (3.6-2) unstable; urgency=low
++
++ * Add build-deps for cdbs (closes: #216499)
++
++ -- Tollef Fog Heen <tfheen@debian.org> Sun, 19 Oct 2003 12:16:43 +0200
++
++sash (3.6-1) unstable; urgency=low
++
++ * Adopt package (closes: #215544)
++ * New upstream release
++ * Ack NMUs, (closes: #137947, #117065, #91634, #109027, #170081, #125332)
++ * Redo packaging using CDBS.
++ * Remove obsolete emacs vars in changelog.
++ * Ignore -- in option list (closes: #95374)
++
++ -- Tollef Fog Heen <tfheen@debian.org> Fri, 17 Oct 2003 13:17:02 +0200
++
++sash (3.4-8.3) unstable; urgency=low
++
++ * NMU
++ * Trivial bugfix for #125332 (Closes: #125332)
++ * debian/rules: must call dpkg-genchanges with -isp, otherwise it
++ won't get into the binary package control files. (Closes: #170081)
++
++ -- Hwei Sheng Teoh <hsteoh@debian.org> Thu, 21 Nov 2002 13:38:31 -0500
++
+sash (3.4-8.2) unstable; urgency=low
+
+ * Non-maintainer upload.
+ * debian/control: Build-depend on a version of zlib without the
+ double-free bug (closes: #137947).
+
+ -- Colin Watson <cjwatson@debian.org> Sun, 17 Mar 2002 13:58:46 +0000
+
+sash (3.4-8.1) unstable; urgency=low
+
+ * NMU
+ * Make unstable have at least the same rev as stable. Changelog change only.
+
+ -- LaMont Jones <lamont@debian.org> Thu, 25 Oct 2001 09:42:55 -0600
+
+sash (3.4-8) stable; urgency=low
+
+ * control file cleanup
+
+ -- Raul Miller <moth@debian.org> Mon, 21 May 2001 10:42:50 -0400
+
+sash (3.4-7) stable; urgency=low
+
+ * incorporated workaround for dpkg breakage on /usr/doc -> /usr/share/doc
+ (fixes #91634)
+ * adopted adrian bunk's suggestions for build-depends (fixes #94329)
+ * this version being new, will be newer than that in potato (fixes #97561)
+ * no Section: problem was apparently caused by build tools -- a test build
+ shows that 3.4-7 has Section: shells (fixes #84494)
+ * not fixed: no debconf support yet. I'm still considering legacy issues.
+ * not fixed: support for -- as end of options indicator. Meaningless,
+ as sash takes no non-options arguments (it's not designed for scripts).
+
+ -- Raul Miller <moth@debian.org> Sat, 19 May 2001 19:36:52 -0400
+
+sash (3.4-6) stable; urgency=medium
+
+ * incorporated suggestion from Matt Zimmerman <mdz@debian.org>
+ such that clone_root_as_sashroot is properly atomic, even
+ for ownership and permissions.
+
+ -- Raul Miller <moth@debian.org> Wed, 17 Jan 2001 12:47:42 -0500
+
+sash (3.4-5) stable; urgency=medium
+
+ * fix up /etc/shadow to give group shadow read access
+
+ -- Raul Miller <moth@debian.org> Tue, 16 Jan 2001 11:47:27 -0500
+
+sash (3.4-4) stable; urgency=high
+
+ * umask 077 before cloning /etc/shadow (fixes #81793)
+ [ouch]
+
+ -- Raul Miller <moth@debian.org> Wed, 10 Jan 2001 20:42:15 -0500
+
+sash (3.4-3) unstable; urgency=low
+
+ * put back /usr/doc/sash if helper programs fail to provide it
+
+ -- Raul Miller <moth@debian.org> Fri, 15 Oct 1999 18:55:13 -0400
+
+sash (3.4-2) unstable; urgency=low
+
+ * set permissions on sashconfig from debian/rules (Fixes #47307)
+
+ -- Raul Miller <moth@debian.org> Wed, 13 Oct 1999 13:16:49 -0400
+
+sash (3.4-1) unstable; urgency=low
+
+ * new upstream version, adds -ar command for debian
+ * cleaned up handling of Q option in prompts, fixes (#46054, #46820)
+ * rewrote README.debian with some minor hints about usage (fixes #45617)
+
+ -- Raul Miller <moth@debian.org> Thu, 7 Oct 1999 23:10:19 -0400
+
+sash (3.3-7) unstable; urgency=high
+
+ * Re-invented sash config system again. This time with a rich set of
+ prompts, and the option to record them so they need be answered
+ only once. (fixes #45617) This reinstates /var/lib/sash/.
+ * Mentioned init=/bin/sash at boot prompt (fixes #45547)
+ * rm -rf /var/lib/sash/ at package purge time (fixes #27770)
+ * make #include <linux/fs.h> conditional in cmds.c
+
+ -- Raul Miller <moth@debian.org> Thu, 23 Sep 1999 22:13:43 -0400
+
+sash (3.3-6) unstable; urgency=low
+
+ * rewrote postinst to support NIS (fixes #45467)
+ * removed empty /var/lib/sash/
+ * use -Os (instead of -O3) for smaller footprint
+ [At the moment, this results in no measurable change --
+ and most of the footprint is from libc. I'm leaving it
+ in for documentation purposes.]
+
+ -- Raul Miller <moth@debian.org> Sun, 19 Sep 1999 08:32:29 -0400
+
+sash (3.3-5) unstable; urgency=low
+
+ * added Depends: lockfile-progs (needed for new postinst/prerm)
+
+ -- Raul Miller <moth@debian.org> Sun, 19 Sep 1999 01:04:38 -0400
+
+sash (3.3-4) unstable; urgency=low
+
+ * rebuilt using altgcc (cuts executable size ~44%)
+
+ -- Raul Miller <moth@debian.org> Fri, 3 Sep 1999 18:51:39 -0400
+
+sash (3.3-3) unstable; urgency=low
+
+ * removed yet more junk files from diff
+
+ -- Raul Miller <moth@debian.org> Fri, 3 Sep 1999 18:51:34 -0400
+
+sash (3.3-2) unstable; urgency=low
+
+ * removed junk file from diff
+
+ -- Raul Miller <moth@debian.org> Fri, 3 Sep 1999 18:37:33 -0400
+
+sash (3.3-1) unstable; urgency=low
+
+ * new upstream version
+ * use $(CC) in makefile in place of cc (#31220)
+ * completely rewrote postinst and replaced postrm with new prerm (#27632, #41968)
+ * simplified error handling for failed -touch (#43428)
+ * upgraded to upstream version 3.3 (#39145)
+
+ -- Raul Miller <moth@debian.org> Fri, 3 Sep 1999 18:03:00 -0400
+
+sash (2.1-5) unstable; urgency=low
+
+ * New maintainer done properly
+
+ -- Raul Miller <rdm@test.legislate.com> Fri, 3 Sep 1999 18:01:14 -0400
+
+sash (2.1-4) unstable; urgency=low
+
+ * Use $PATH in exec [#25034]
+ * New maintainer
+
+ -- Raul Miller <rdm@test.legislate.com> Thu, 27 Aug 1998 12:19:33 -0400
+
+sash (2.1-3) frozen unstable; urgency=low
+
+ * correct root shell if package is removed
+
+ -- Michael Meskes <meskes@debian.org> Fri, 20 Mar 1998 14:11:28 +0100
+
+sash (2.1-2) unstable; urgency=low
+
+ * Fixed postinst (#19584)
+ * Added -i option (#19656)
+
+ -- Michael Meskes <meskes@debian.org> Mon, 16 Mar 1998 15:23:44 +0100
+
+sash (2.1-1) unstable; urgency=low
+
+ * New upstream version: David incorporated most of my changes except that
+ he wants sash to print a message everytime it starts. But he has added
+ an option -q to get it quiet. I hope that solves the problem as well.
+
+ -- Michael Meskes <meskes@debian.org> Mon, 9 Mar 1998 13:42:33 +0100
+
+sash (2.0-3) unstable; urgency=low
+
+ * corrected argv handling for exec call (#18695)
+ * reworked postinst/prerm to make installation ask less questions
+
+ -- Michael Meskes <meskes@debian.org> Fri, 27 Feb 1998 08:57:00 +0100
+
+sash (2.0-2) unstable; urgency=low
+
+ * sash no longer prints a message every time you invoke it (#18580)
+
+ -- Michael Meskes <meskes@debian.org> Fri, 27 Feb 1998 08:57:00 +0100
+
+sash (2.0-1) unstable; urgency=low
+
+ * New upstream version
+
+ -- Michael Meskes <meskes@debian.org> Fri, 30 Jan 1998 10:25:59 +0100
+
+sash (1.0-3) unstable; urgency=low
+
+ * Added -c option which fixes the problem with su as well as bug (#17573).
+
+ -- Michael Meskes <meskes@debian.org> Thu, 29 Jan 1998 09:38:41 +0100
+
+sash (1.0-2) unstable; urgency=low
+
+ * Added section entry.
+
+ -- Michael Meskes <meskes@debian.org> Tue, 16 Dec 1997 11:05:51 +0100
+
+sash (1.0-1) unstable; urgency=low
+
+ * Initial Release.
+
+ -- Michael Meskes <meskes@debian.org> Tue, 16 Dec 1997 11:05:51 +0100
+
++
--- /dev/null
--- /dev/null
++4
--- /dev/null
--- /dev/null
++#! /bin/sh -e
++
++. /usr/share/debconf/confmodule
++
++if [ "$(getent passwd | grep ^sashroot:)" = "" ]; then
++ db_input medium sash/create_sashroot || true
++ db_go || true
++ db_get sash/create_sashroot || true
++ if [ "$RET" = "true" ]; then
++ db_input medium sash/clone_root_passwd || true
++ db_go || true
++ db_get sash/clone_root_passwd || true
++ if [ "$RET" = "false" ]; then
++ db_input critical sash/sashroot_passwd || true
++ db_go || true
++ fi
++ else
++ db_input low sash/change_root_shell || true
++ fi
++fi
++db_go || true
--- /dev/null
- Maintainer: Raul Miller <moth@debian.org>
- Standards-Version: 3.2.1
- Build-Depends: zlib1g-dev (>= 1:1.1.3-19.1), debmake
+Source: sash
+Section: shells
+Priority: optional
- Depends: lockfile-progs
++Maintainer: Tollef Fog Heen <tfheen@debian.org>
++Standards-Version: 3.6.1
++Build-Depends: zlib1g-dev (>= 1:1.1.3-19.1), cdbs, debhelper (>= 4.1.0), e2fslibs-dev, po-debconf
+
+Package: sash
+Architecture: any
+Section: shells
+Priority: optional
- Description: Stand-alone shell.
++Depends: lockfile-progs, passwd (>= 1:4.0.3-10), debconf
+Conflicts: fileutils (<<4.0-1)
+Suggests: doc-debian, debconf
- /bin/sh is unusable. It's statically linked, and inludes many standard
++Description: Stand-alone shell
+ sash serves as an interactive substitute for /bin/sh, for use when
++ /bin/sh is unusable. It's statically linked, and includes many standard
+ utilities as builtins (type "help" at the prompt for a reference list).
+ If you've installed sash before rendering your system unbootable, and
+ you have some knowledge of how your system is supposed to work, you might
+ be able to repair your system using init=/bin/sash at the boot prompt.
+ .
+ Some people also prefer to have sash available as the shell for a
+ root account (perhaps an under an alternate name such as sashroot)
+ Configuration support is included for people who want this.
+ .
+ Note: sash is not intended to serve as /bin/sh, and has few of the
+ interactive features present in bash or ksh. It's designed to be simple
+ and robust, for people who need to do emergency repair work on a system.
+ .
+ Also note: sash doesn't include a built-in fsck -- fsck is too big
+ and complicated. If you need fsck, you'll have to get at least one
+ partition or disk working well enough to run fsck. More generally,
+ sash is but one tool of many (backups, backup recovery tools, emergency
+ boot disks or partitions, spare parts, testing of disaster plans,
+ etc.) to help you recover a damaged system.
--- /dev/null
- This package was debianized by Michael Meskes <meskes@debian.org>
- on Tue, 16 Dec 1997 11:05:51 +0100, and is currently being maintained
- by Raul Miller <moth@debian.org>.
++This package was debianized by Michael Meskes <meskes@debian.org> on
++Tue, 16 Dec 1997 11:05:51 +0100, and is currently being maintained by
++Tollef Fog Heen <tfheen@debian.org>. Please see the Debian changelog
++for the history of who maintained the package when.
+
+It was downloaded from
+http://www.tip.net.au/~dbell/programs/sash-3.4.tar.gz
+
+New versions will probably be announced at
+http://www.tip.net.au/~dbell/.
+
+Copyright:
+
+ * Copyright (c) 1998 by David I. Bell
+ * Permission is granted to use, distribute, or modify this source,
+ * provided that this copyright notice remains intact.
+
+The code for the internal ar command has the copyright:
+
+ * Original:
+ * Copyright (c) 1999 by Aaron R. Crane.
+ * Permission is granted to use, distribute, or modify this source,
+ * provided that this copyright notice remains intact.
+ *
+ * Modified:
+ * Copyright (c) 1999 by David I. Bell
+ * Permission is granted to use, distribute, or modify this source,
+ * provided that this copyright notice remains intact.
+
--- /dev/null
- usr/sbin
- usr/man/man1
- usr/man/man8
- var/lib/sash
+bin
++usr/share/man/man1
--- /dev/null
--- /dev/null
++sash: statically-linked-binary ./bin/sash
--- /dev/null
--- /dev/null
++[type: gettext/rfc822deb] templates
--- /dev/null
--- /dev/null
++#
++# Translators, if you are not familiar with the PO format, gettext
++# documentation is worth reading, especially sections dedicated to
++# this format, e.g. by running:
++# info -n '(gettext)PO Files'
++# info -n '(gettext)Header Entry'
++# Some information specific to po-debconf are available at
++# /usr/share/doc/po-debconf/README-trans
++# or http://www.debian.org/intl/l10n/po-debconf/README-trans#
++# Developers do not need to manually edit POT or PO files.
++# Erik Schanze <mail@erikschanze.de>, 2004.
++#
++msgid ""
++msgstr ""
++"Project-Id-Version: sash_3.7-4_de\n"
++"Report-Msgid-Bugs-To: \n"
++"POT-Creation-Date: 2004-02-10 03:11+0100\n"
++"PO-Revision-Date: 2004-08-17 07:57+0200\n"
++"Last-Translator: Erik Schanze <mail@erikschanze.de>\n"
++"Language-Team: German <debian-l10n-german@lists.debian.org>\n"
++"MIME-Version: 1.0\n"
++"Content-Type: text/plain; charset=UTF-8\n"
++"Content-Transfer-Encoding: 8bit\n"
++"X-Generator: KBabel 1.3.1\n"
++"Plural-Forms: nplurals=2; plural=(n != 1);\n"
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid "Create sashroot account?"
++msgstr "Zugang sashroot anlegen?"
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid ""
++"Do you want to create a second root account with sash as its shell? The "
++"account name will be \"sashroot\"."
++msgstr ""
++"Wollen Sie einen zweiten root-Zugang mit sash als Shell einrichten? Der "
++"Zugangsname wird \"sashroot\" sein."
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid "Advantage: current root account is left untouched"
++msgstr "Vorteil: der aktuelle root-Zugang bleibt unverändert"
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid "Disadvantage: you'd have two root accounts to keep track of"
++msgstr "Nachteil: Sie müssen zwei root-Zugänge verwalten"
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid "Clone root password for sashroot?"
++msgstr "Aktuelles root-Passwort auch für sashroot verwenden?"
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid ""
++"Do you want to make sashroot's password the same as root's password? Note "
++"that if you change the root password, sashroot's password will not be "
++"updated."
++msgstr ""
++"Soll das Passwort für sashroot das gleiche sein, wie für root? Beachten Sie, "
++"wenn Sie das root-Passwort ändern, wird das sashroot-Passwort nicht "
++"aktualisiert."
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid "Advantage: easy to remember"
++msgstr "Vorteil: einfach zu merken"
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid "Disadvantage: easy to remember"
++msgstr "Nachteil: einfach zu merken"
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid "Enter a password for sashroot"
++msgstr "Passwort für sashroot eingeben:"
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid ""
++"Before proceeding, you need to set a password for 'sashroot'. The password "
++"shouldn't be easy to guess, and it shouldn't be a word found in the "
++"dictionary, or a word that could be easily associated with you, like your "
++"middle name. A good password will contain a mixture of letters, numbers and "
++"punctuation and will be changed at regular intervals."
++msgstr ""
++"Bevor es weiter geht, müssen Sie für den Benutzer 'sashroot' ein Passwort "
++"eingeben. Es sollte nicht leicht zu erraten und kein Wort aus einem Wörterbuch "
++"sein oder das einfach mit Ihnen in Verbindung gebracht werden kann, wie Ihr "
++"zweiter Vorname. Ein gutes Passwort besteht aus einer Mischung aus Buchstaben, "
++"Ziffern und Sonderzeichen und sollte regelmäßig geändert werden."
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid ""
++"Why such caution? The sashroot account doesn't have the restrictions that "
++"normal user accounts have. A malicious or unqualified user with root access "
++"can have disastrous results."
++msgstr ""
++"Warum diese Vorsicht? Der Zugang sashroot hat keine Beschränkungen, wie ein "
++"normaler Benutzer. Ein böswilliger oder unqualifizierter Benutzer mit "
++"root-Zugang kann katastrophale Folgen haben."
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid "Note that you will not be able to see the password as you type it."
++msgstr "Beachten Sie, dass das Passwort beim Eingeben nicht angezeigt wird."
++
++#. Type: boolean
++#. Description
++#: ../templates:42
++msgid "Change root's shell?"
++msgstr "Die Shell des Benutzers root ändern?"
++
++#. Type: boolean
++#. Description
++#: ../templates:42
++msgid "Do you want to change root's shell to sash?"
++msgstr "Soll die Shell des Benutzers root nach 'sash' geändert werden?"
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Delete sashroot account?"
++msgstr "Zugang sashroot löschen?"
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Do you want to remove the sashroot account?"
++msgstr "Soll der Zugang sashroot gelöscht werden?"
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Advantage: more secure, leaves less clutter on the system"
++msgstr "Vorteil: sicherer, lässt weniger Reste im System"
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Disadvantage: may lose account customization (if any)"
++msgstr "Nachteil: Anpassungen des Zugangs gehen verloren (wenn es welche gibt)"
++
--- /dev/null
--- /dev/null
++#
++# Translators, if you are not familiar with the PO format, gettext
++# documentation is worth reading, especially sections dedicated to
++# this format, e.g. by running:
++# info -n '(gettext)PO Files'
++# info -n '(gettext)Header Entry'
++#
++# Some information specific to po-debconf are available at
++# /usr/share/doc/po-debconf/README-trans
++# or http://www.debian.org/intl/l10n/po-debconf/README-trans
++#
++# Developers do not need to manually edit POT or PO files.
++#
++msgid ""
++msgstr ""
++"Project-Id-Version: sash\n"
++"POT-Creation-Date: 2004-02-10 03:11+0100\n"
++"PO-Revision-Date: 2004-02-12 19:13+0100\n"
++"Last-Translator: Christian Perrier <bubulle@debian.org>\n"
++"Language-Team: French <debian-l10n-french@lists.debian.org>\n"
++"MIME-Version: 1.0\n"
++"Content-Type: text/plain; charset=iso-8859-1\n"
++"Content-Transfer-Encoding: 8bit\n"
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid "Create sashroot account?"
++msgstr "Faut-il créer un compte « sashroot » ?"
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid ""
++"Do you want to create a second root account with sash as its shell? The "
++"account name will be \"sashroot\"."
++msgstr ""
++"Vous pouvez créer un deuxième compte de super-utilisateur, avec sash comme "
++"shell. L'identifiant utilisé sera « sashroot »."
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid "Advantage: current root account is left untouched"
++msgstr ""
++"Avantage : le compte normal du super-utilisateur (« root ») ne sera pas "
++"modifié."
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid "Disadvantage: you'd have two root accounts to keep track of"
++msgstr ""
++"Inconvénient : vous devrez maintenir deux comptes de super-utilisateur."
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid "Clone root password for sashroot?"
++msgstr "Faut-il utiliser le mot de passe de « root » pour « sashroot » ?"
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid ""
++"Do you want to make sashroot's password the same as root's password? Note "
++"that if you change the root password, sashroot's password will not be "
++"updated."
++msgstr ""
++"Veuillez indiquer si vous voulez utiliser le même mot de passe pour ces deux "
++"identifiants. Si vous modifiez plus tard le mot de passe de « root », celui "
++"de « sashroot » ne sera pas modifié."
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid "Advantage: easy to remember"
++msgstr "Avantage : cela est simple à mémoriser."
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid "Disadvantage: easy to remember"
++msgstr "Inconvénient : cela est simple à mémoriser."
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid "Enter a password for sashroot"
++msgstr "Mot de passe de « sashroot » :"
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid ""
++"Before proceeding, you need to set a password for 'sashroot'. The password "
++"shouldn't be easy to guess, and it shouldn't be a word found in the "
++"dictionary, or a word that could be easily associated with you, like your "
++"middle name. A good password will contain a mixture of letters, numbers and "
++"punctuation and will be changed at regular intervals."
++msgstr ""
++"Avant de continuer, vous devez choisir un mot de passe pour le compte "
++"« sashroot ». Ce mot de passe ne doit pas être facile à deviner et ne "
++"devrait pas correspondre à un mot du dictionnaire, ou un mot pouvant vous "
++"être facilement associé (par exemple votre deuxième prénom). Un bon mot de "
++"passe est un mélange de lettres, chiffres et signes de ponctuations et devra "
++"être changé à intervalles réguliers."
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid ""
++"Why such caution? The sashroot account doesn't have the restrictions that "
++"normal user accounts have. A malicious or unqualified user with root access "
++"can have disastrous results."
++msgstr ""
++"Pourquoi tant de précautions ? Le compte « sashroot » n'a pas les "
++"limitations des comptes d'utilisateurs ordinaires. Un utilisateur "
++"malintentionné ou peu expérimenté qui aurait accès au compte du super-"
++"utilisateur peut provoquer des désastres."
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid "Note that you will not be able to see the password as you type it."
++msgstr ""
++"Veuillez noter que le mot de passe ne sera pas affiché pendant que vous le "
++"saisissez."
++
++#. Type: boolean
++#. Description
++#: ../templates:42
++msgid "Change root's shell?"
++msgstr "Faut-il changer le « shell » du super-utilisateur (« root ») ?"
++
++#. Type: boolean
++#. Description
++#: ../templates:42
++msgid "Do you want to change root's shell to sash?"
++msgstr ""
++"Vous pouvez choisir d'utiliser sash comme processeur de commandes "
++"(« shell ») du super-utilisateur (compte « root »)."
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Delete sashroot account?"
++msgstr "Faut-il supprimer le compte « sashroot » ?"
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Do you want to remove the sashroot account?"
++msgstr "Veuillez indiquer si vous souhaitez supprimer le compte « sashroot »."
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Advantage: more secure, leaves less clutter on the system"
++msgstr "Avantage : le système sera plus sûr et il ne restera pas de traces."
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Disadvantage: may lose account customization (if any)"
++msgstr ""
++"Inconvénient : vous perdrez les personnalisations du compte, s'il en "
++"existait."
++
--- /dev/null
--- /dev/null
++#
++# Translators, if you are not familiar with the PO format, gettext
++# documentation is worth reading, especially sections dedicated to
++# this format, e.g. by running:
++# info -n '(gettext)PO Files'
++# info -n '(gettext)Header Entry'
++#
++# Some information specific to po-debconf are available at
++# /usr/share/doc/po-debconf/README-trans
++# or http://www.debian.org/intl/l10n/po-debconf/README-trans
++#
++# Developers do not need to manually edit POT or PO files.
++#
++#
++msgid ""
++msgstr ""
++"Project-Id-Version: sash 3.7-4\n"
++"Report-Msgid-Bugs-To: \n"
++"POT-Creation-Date: 2004-02-10 03:11+0100\n"
++"PO-Revision-Date: 2004-12-30 01:26+0900\n"
++"Last-Translator: Hideki Yamane <henrich@samba.gr.jp>\n"
++"Language-Team: Japanese <debian-japanese@lists.debian.org>\n"
++"MIME-Version: 1.0\n"
++"Content-Type: text/plain; charset=EUC-JP\n"
++"Content-Transfer-Encoding: 8bit\n"
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid "Create sashroot account?"
++msgstr "sashroot ¥¢¥«¥¦¥ó¥È¤òºîÀ®¤·¤Þ¤¹¤«?"
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid ""
++"Do you want to create a second root account with sash as its shell? The "
++"account name will be \"sashroot\"."
++msgstr ""
++"sash ¤ò shell ¤È¤·¤ÆÍøÍѤ¹¤ë¤â¤¦°ì¤Ä¤Î root ¥¢¥«¥¦¥ó¥È¤òºîÀ®¤·¤Þ¤¹¤«? ¤³¤Î¥¢"
++"¥«¥¦¥ó¥È¤Î̾Á°¤Ï \"sashroot\" ¤Ë¤Ê¤ê¤Þ¤¹¡£"
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid "Advantage: current root account is left untouched"
++msgstr "ÍøÅÀ: ¸½ºß¤Î root ¥¢¥«¥¦¥ó¥È¤Ë¤Ä¤¤¤Æ²¿¤âÊѹ¹¤µ¤ì¤Ê¤¤"
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid "Disadvantage: you'd have two root accounts to keep track of"
++msgstr "·çÅÀ: 2 ¤Ä¤Î root ¥¢¥«¥¦¥ó¥È¤ò´ÉÍý¤¹¤ë¤³¤È¤Ë¤Ê¤ë"
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid "Clone root password for sashroot?"
++msgstr "root ¤Î¥Ñ¥¹¥ï¡¼¥É¤ò sashroot ¤Ë¥³¥Ô¡¼¤·¤Þ¤¹¤«?"
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid ""
++"Do you want to make sashroot's password the same as root's password? Note "
++"that if you change the root password, sashroot's password will not be "
++"updated."
++msgstr ""
++"sashroot ¤Î¥Ñ¥¹¥ï¡¼¥É¤ò root ¤Î¥Ñ¥¹¥ï¡¼¥É¤ÈƱ¤¸¤Ë¤·¤Þ¤¹¤«? root ¥Ñ¥¹¥ï¡¼¥É¤ò"
++"Êѹ¹¤·¤Æ¤â sashroot ¤Î¥Ñ¥¹¥ï¡¼¥É¤Ï¹¹¿·¤µ¤ì¤Ê¤¤¤Î¤ËÃí°Õ¤·¤Æ¤¯¤À¤µ¤¤¡£"
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid "Advantage: easy to remember"
++msgstr "ÍøÅÀ: ³Ð¤¨¤ä¤¹¤¤"
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid "Disadvantage: easy to remember"
++msgstr "·çÅÀ: ³Ð¤¨¤ä¤¹¤¤"
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid "Enter a password for sashroot"
++msgstr "sashroot ¤Î¥Ñ¥¹¥ï¡¼¥É¤òÆþÎϤ·¤Æ¤¯¤À¤µ¤¤"
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid ""
++"Before proceeding, you need to set a password for 'sashroot'. The password "
++"shouldn't be easy to guess, and it shouldn't be a word found in the "
++"dictionary, or a word that could be easily associated with you, like your "
++"middle name. A good password will contain a mixture of letters, numbers and "
++"punctuation and will be changed at regular intervals."
++msgstr ""
++"³¹Ô¤¹¤ëÁ°¤Ë¡¢'sashroot' ¤Î¥Ñ¥¹¥ï¡¼¥É¤òÀßÄꤹ¤ëɬÍפ¬¤¢¤ê¤Þ¤¹¡£¥Ñ¥¹¥ï¡¼¥É¤Ï¿ä"
++"¬¤¬Íưפʤâ¤Î¤Ç¤¢¤Ã¤Æ¤Ï¤Ê¤é¤º¡¢¼½ñ¤Ç¸«¤Ä¤«¤ë¤è¤¦¤Ê¸ÀÍդ䤢¤Ê¤¿¤Ë´Êñ¤Ë·ë¤Ó"
++"ÉÕ¤±¤é¤ì¤ë¤è¤¦¤Êñ¸ì (¤¿¤È¤¨¤Ð¤¢¤Ê¤¿¤Î¥ß¥É¥ë¥Í¡¼¥à) ¤Ç¤¢¤Ã¤Æ¤âÂÌÌܤǤ¹¡£Îɤ¤"
++"¥Ñ¥¹¥ï¡¼¥É¤Ï¡¢Ê¸»ú¡¦¿ô»ú¡¦µ¹æ¤ò´Þ¤ó¤Ç¤ª¤ê¡¢Äê´üŪ¤ËÊѹ¹¤µ¤ì¤ë¤è¤¦¤Ê¤â¤Î¤Ç"
++"¤¹¡£"
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid ""
++"Why such caution? The sashroot account doesn't have the restrictions that "
++"normal user accounts have. A malicious or unqualified user with root access "
++"can have disastrous results."
++msgstr ""
++"¤Ê¤¼¤³¤Î¤è¤¦¤ÊÃí°Õ¤ò¤¹¤ë¤Î¤Ç¤·¤ç¤¦? sashroot ¥¢¥«¥¦¥ó¥È¤Ë¤Ï°ìÈ̥桼¥¶¥¢¥«¥¦¥ó"
++"¥È¤Î¤è¤¦¤ÊÀ©¸Â¤¬¤¢¤ê¤Þ¤»¤ó¡£°°Õ¤ò¤â¤Ã¤Æ¤¤¤ë¡¢¤¢¤ë¤¤¤Ï»ñ³Ê¤Î¤Ê¤¤¥æ¡¼¥¶¤¬ "
++"root ¸¢¸Â¤ò½ê»ý¤·¤¿¾ì¹ç¡¢¤½¤ì¤ÏÈá»´¤Ê·ëËö¤ò¾·¤¯¤Î¤Ç¤¹¡£"
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid "Note that you will not be able to see the password as you type it."
++msgstr "¥Ñ¥¹¥ï¡¼¥É¤Ï¡¢ÆþÎϤò¤·¤Æ¤â¸«¤ë¤³¤È¤Ï¤Ç¤¤Ê¤¤¤Î¤ÇÃí°Õ¤·¤Æ¤¯¤À¤µ¤¤¡£"
++
++#. Type: boolean
++#. Description
++#: ../templates:42
++msgid "Change root's shell?"
++msgstr "root ¥æ¡¼¥¶¤Î shell ¤òÊѹ¹¤·¤Þ¤¹¤«?"
++
++#. Type: boolean
++#. Description
++#: ../templates:42
++msgid "Do you want to change root's shell to sash?"
++msgstr "root ¥æ¡¼¥¶¤Î shell ¤ò sash ¤ËÊѹ¹¤·¤Þ¤¹¤«?"
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Delete sashroot account?"
++msgstr "sashroot ¥¢¥«¥¦¥ó¥È¤òºï½ü¤·¤Þ¤¹¤«?"
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Do you want to remove the sashroot account?"
++msgstr "sashroot ¥¢¥«¥¦¥ó¥È¤òºï½ü¤·¤Þ¤¹¤«?"
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Advantage: more secure, leaves less clutter on the system"
++msgstr "ÍøÅÀ: ¤è¤ê¥»¥¥å¥¢¤Ë¤Ê¤ë¡¢¥·¥¹¥Æ¥à¤ò¿¾¯¤Ï¤¤ì¤¤¤Ë¤Ç¤¤ë"
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Disadvantage: may lose account customization (if any)"
++msgstr "·çÅÀ: ¥¢¥«¥¦¥ó¥È¤ËÂФ¹¤ë (ÍÍ¡¹¤Ê) Êѹ¹¤¬¼º¤ï¤ì¤Þ¤¹"
--- /dev/null
--- /dev/null
++#
++# Translators, if you are not familiar with the PO format, gettext
++# documentation is worth reading, especially sections dedicated to
++# this format, e.g. by running:
++# info -n '(gettext)PO Files'
++# info -n '(gettext)Header Entry'
++#
++# Some information specific to po-debconf are available at
++# /usr/share/doc/po-debconf/README-trans
++# or http://www.debian.org/intl/l10n/po-debconf/README-trans
++#
++# Developers do not need to manually edit POT or PO files.
++#
++#, fuzzy
++msgid ""
++msgstr ""
++"Project-Id-Version: PACKAGE VERSION\n"
++"Report-Msgid-Bugs-To: \n"
++"POT-Creation-Date: 2004-02-10 03:11+0100\n"
++"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
++"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
++"Language-Team: LANGUAGE <LL@li.org>\n"
++"MIME-Version: 1.0\n"
++"Content-Type: text/plain; charset=CHARSET\n"
++"Content-Transfer-Encoding: 8bit\n"
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid "Create sashroot account?"
++msgstr ""
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid ""
++"Do you want to create a second root account with sash as its shell? The "
++"account name will be \"sashroot\"."
++msgstr ""
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid "Advantage: current root account is left untouched"
++msgstr ""
++
++#. Type: boolean
++#. Description
++#: ../templates:4
++msgid "Disadvantage: you'd have two root accounts to keep track of"
++msgstr ""
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid "Clone root password for sashroot?"
++msgstr ""
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid ""
++"Do you want to make sashroot's password the same as root's password? Note "
++"that if you change the root password, sashroot's password will not be "
++"updated."
++msgstr ""
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid "Advantage: easy to remember"
++msgstr ""
++
++#. Type: boolean
++#. Description
++#: ../templates:15
++msgid "Disadvantage: easy to remember"
++msgstr ""
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid "Enter a password for sashroot"
++msgstr ""
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid ""
++"Before proceeding, you need to set a password for 'sashroot'. The password "
++"shouldn't be easy to guess, and it shouldn't be a word found in the "
++"dictionary, or a word that could be easily associated with you, like your "
++"middle name. A good password will contain a mixture of letters, numbers and "
++"punctuation and will be changed at regular intervals."
++msgstr ""
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid ""
++"Why such caution? The sashroot account doesn't have the restrictions that "
++"normal user accounts have. A malicious or unqualified user with root access "
++"can have disastrous results."
++msgstr ""
++
++#. Type: password
++#. Description
++#: ../templates:26
++msgid "Note that you will not be able to see the password as you type it."
++msgstr ""
++
++#. Type: boolean
++#. Description
++#: ../templates:42
++msgid "Change root's shell?"
++msgstr ""
++
++#. Type: boolean
++#. Description
++#: ../templates:42
++msgid "Do you want to change root's shell to sash?"
++msgstr ""
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Delete sashroot account?"
++msgstr ""
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Do you want to remove the sashroot account?"
++msgstr ""
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Advantage: more secure, leaves less clutter on the system"
++msgstr ""
++
++#. Type: boolean
++#. Description
++#: ../templates:48
++msgid "Disadvantage: may lose account customization (if any)"
++msgstr ""
--- /dev/null
- #!/bin/sh
++#! /bin/sh
+# postinst for sash
+#
+# rewritten to use new "sashconfig"
+
++. /usr/share/debconf/confmodule
++
++# Lifted code from passwd.config:
++# Set a password, via chpasswd.
++# Use perl rather than echo, to avoid the password
++# showing in the process table. (However, this is normally
++# only called when first booting the system, when root has no
++# password at all, so that should be an unnecessary precaution).
++#
++# Pass in two arguments: the user and the password.
++setpassword () {
++ SETPASSWD_PW="$2"
++ export SETPASSWD_PW
++
++ # This is very annoying. chpasswd cannot handle generating md5
++ # passwords as it is not PAM-aware. Thus, I have to work around
++ # that by crypting the password myself if md5 is used.
++ db_get passwd/md5 || true
++ if [ "$RET" = true ]; then
++ USE_MD5=1
++ else
++ USE_MD5=''
++ fi
++ export USE_MD5
++ perl -e '
++ sub CreateCryptSalt {
++ my $md5 = shift;
++
++ my @valid = split(//, "./0123456789abcdefghijklmnopqrstu
++vwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ");
++ my ($in, $out);
++
++ my $cryptsaltlen = ($md5 ? 8 : 2);
++
++ open (F, "</dev/urandom") || die "No /dev/urandom found!
++";
++ foreach (1..$cryptsaltlen) {
++ read(F, $in, 1);
++ $out .= $valid[ord($in) % ($#valid + 1)];
++ }
++ close F;
++ return ($md5 ? "\$1\$$out\$" : $out);
++ }
++
++ open(P,"| chpasswd -e");
++ print P shift().":".
++ crypt($ENV{SETPASSWD_PW}, CreateCryptSalt($ENV{USE_MD5})
++).
++ "\n";
++ close P;
++ ' "$1"
++ SETPASSWD_PW=''
++ USE_MD5=''
++}
++
++# end of lifted code
++
++clone_root_as_sashroot(){
++ if (
++ # /etc/shadow might not exist
++ if [ -e $1 ]; then
++ lockfile-create $1
++ if grep -q ^sashroot: $1; then
++ : sashroot already exists in $1
++ else
++ echo cloning root account entry to create sashroot account in $1
++ umask 077
++ perl -pe '
++ if (/^root:/ && !$found_root) {
++ $found_root++;
++ print;
++ s/^/sash/;
++ }
++ END{
++ die "no root account entry\n"
++ unless $found_root;
++ }
++ ' $1 >$1-sashroot.tmp
++ chown --reference=$1 $1-sashroot.tmp
++ chmod --reference=$1 $1-sashroot.tmp
++ mv $1-sashroot.tmp $1
++ fi
++ lockfile-remove $1
++ fi
++ ) ; then
++ echo Cloned sashroot from root in $1
++ else
++ # we died, attempt to clean up
++ lockfile-remove $1
++ exit 1
++ fi
++}
++
+set -e
+PATH=$PATH:/usr/sbin
- sashconfig Q0=ask $(grep '^Q.=.$' /var/lib/sash/package-config 2>/dev/null)
++
++if [ -f /etc/shadow ]; then
++ chown root:shadow /etc/shadow
++ chmod 640 /etc/shadow
++fi
++
++if [ "$(getent passwd | grep ^sashroot:)" = "" ]; then
++ db_get sash/create_sashroot || true
++ if [ "$RET" = "true" ]; then
++ db_get sash/clone_root_passwd || true
++ if [ "$RET" = "true" ]; then
++ # ok, just make a copy of the root user
++ clone_root_as_sashroot /etc/passwd
++ clone_root_as_sashroot /etc/shadow
++ else
++ # Create user and set password, using lifted code from
++ # passwd.config
++ useradd -c 'emergency root shell' -d /root -g root \
++ -s /bin/sash -u 0 -o sashroot
++ db_get sash/sashroot_passwd || true
++ PWD="$RET"
++ setpassword sashroot "$PWD"
++ # Clear the password
++ db_set sash/sashroot_passwd ""
++ fi
++ chsh -s /bin/sash sashroot
++ else
++ db_get sash/change_root_shell || true
++ if [ "$RET" = "true" ]; then
++ chsh -s /bin/sash root
++ fi
++ fi
++fi
++
++if [ "$1" = "configure" -a "$2" = "" ]; then
++ # initial install
++ /usr/sbin/add-shell /bin/sash
++fi
++
++#DEBHELPER#
--- /dev/null
- case "$1" in purge)
+#!/bin/sh
+
++case "$1" in
++ purge)
+ rm -rf /var/lib/sash/
++ ;;
++ remove)
++ /usr/sbin/remove-shell /bin/sash
++ ;;
+esac
++
++#DEBHELPER#
--- /dev/null
- if [ "$1" = remove ]; then
-
- if grep -qi Q5=Y /var/lib/sash/package-config 2>/dev/null; then
- if (
- set -x
- userdel sashroot
- ); then
- : ok
- else
- # What I really want is userdel -f that would succeed
- # as long as account doesn't exist when userdel would exit.
- echo -n 'Could not remove sashroot, not sure why, proceed? [Y/n]'
- read resp
- case "$resp" in N*|n*) exit 1; esac
- fi
- fi
-
- for sashacct in $(
- perl -le '
- while (@ent= getpwent) {
- print $ent[0] if $ent[8] =~m(/bin/sash)
- }
- '
- ); do
- (
- set -x
- chsh -s /bin/sh $sashacct
- )
- done
+#!/bin/sh
+# prerm for sash
+# make sure that accounts using sash will
+# at least continue to work after sash is removed...
+
+set -e
+
++. /usr/share/debconf/confmodule
+
++if [ "$1" = remove ]; then
++ if [ "$(getent passwd | grep ^sashroot:)" != "" ]; then
++ db_input medium sash/delete_sashroot_on_remove || true
++ db_go || true
++ db_get sash/delete_sashroot_on_remove || true
++ if [ "$RET" = "true" ]; then
++ userdel sashroot
++ fi
++ fi
++ for sashacct in $(getent passwd | \
++ awk -F: '{if ($7 == "/bin/sash") {print $1}}'); do
++ chsh -s /bin/bash $sashacct || true
++ done
+fi
+
++#DEBHELPER#
++
+exit 0
--- /dev/null
- #!/usr/bin/make -f
- # Made with the aid of debmake, by Christoph Lameter,
- # based on the sample debian/rules file for GNU hello by Ian Jackson.
++#! /usr/bin/make -f
+
- package=sash
++pkgdir := `pwd`/debian/sash
+
- build:
- $(checkdir)
-
- make CFLAGS="-O2 -g -Wall -DHAVE_GZIP"
- touch build
++DEB_MAKE_INSTALL_TARGET=install BINDIR=$(pkgdir)/bin MANDIR=$(pkgdir)/usr/share/man/man1
+
- clean:
- $(checkdir)
- -rm -f build
- -make clean
- -rm -f `find . -name "*~"`
- -rm -rf debian/tmp debian/files* core debian/substvars
++include /usr/share/cdbs/1/class/makefile.mk
++include /usr/share/cdbs/1/rules/debhelper.mk
+
- binary-indep: checkroot build
- $(checkdir)
- # There are no architecture-independent files to be uploaded
- # generated by this package. If there were any they would be
- # made here.
-
- binary-arch: checkroot build
- $(checkdir)
- -rm -rf debian/tmp
- install -d debian/tmp
- cd debian/tmp && install -d `cat ../dirs`
- make install BINDIR=`pwd`/debian/tmp/bin MANDIR=`pwd`/debian/tmp/usr/man/man1
- install debian/sashconfig debian/tmp/usr/sbin/.
- cd debian; pod2man --section=8 sashconfig.pod --center='Debian Linux manual' >tmp/usr/man/man8/sashconfig.8
- # Must have debmake installed for this to work. Otherwise please copy
- # /usr/bin/debstd into the debian directory and change debstd to debian/debstd
- debstd README
- dpkg-gencontrol
- chown -R root.root debian/tmp
- chmod -R go=rX debian/tmp
- dpkg --build debian/tmp ..
-
- define checkdir
- test -f debian/rules
- endef
-
- binary: binary-indep binary-arch
-
- checkroot:
- $(checkdir)
- test root = "`whoami`"
-
- .PHONY: binary binary-arch binary-indep clean checkroot
++binary-install/sash::
++ mkdir -p $(pkgdir)/usr/share/lintian/overrides/
++ install -m 0644 debian/lintian-overrides $(pkgdir)/usr/share/lintian/overrides/sash
--- /dev/null
--- /dev/null
++Template: sash/create_sashroot
++Type: boolean
++Default: true
++_Description: Create sashroot account?
++ Do you want to create a second root account with sash as its shell? The
++ account name will be "sashroot".
++ .
++ Advantage: current root account is left untouched
++ .
++ Disadvantage: you'd have two root accounts to keep track of
++
++Template: sash/clone_root_passwd
++Type: boolean
++Default: true
++_Description: Clone root password for sashroot?
++ Do you want to make sashroot's password the same as root's password? Note
++ that if you change the root password, sashroot's password will not be
++ updated.
++ .
++ Advantage: easy to remember
++ .
++ Disadvantage: easy to remember
++
++Template: sash/sashroot_passwd
++Type: password
++_Description: Enter a password for sashroot
++ Before proceeding, you need to set a password for 'sashroot'. The
++ password shouldn't be easy to guess, and it shouldn't be a word found in
++ the dictionary, or a word that could be easily associated with you, like
++ your middle name. A good password will contain a mixture of letters,
++ numbers and punctuation and will be changed at regular intervals.
++ .
++ Why such caution? The sashroot account doesn't have the restrictions that
++ normal user accounts have. A malicious or unqualified user with root
++ access can have disastrous results.
++ .
++ Note that you will not be able to see the password as you type it.
++
++Template: sash/change_root_shell
++Type: boolean
++Default: false
++_Description: Change root's shell?
++ Do you want to change root's shell to sash?
++
++Template: sash/delete_sashroot_on_remove
++Type: boolean
++Default: false
++_Description: Delete sashroot account?
++ Do you want to remove the sashroot account?
++ .
++ Advantage: more secure, leaves less clutter on the system
++ .
++ Disadvantage: may lose account customization (if any)
--- /dev/null
--- /dev/null
++Template: sash/create_sashroot
++Type: boolean
++Default: true
++Description: Create sashroot account?
++ Do you want to create a second root account with sash as its shell?
++ The account name will be "sashroot".
++ .
++ Advantage: current root account is left untouched
++ .
++ Disadvantage: you'd have two root accounts to keep track of
++
++Template: sash/clone_root_passwd
++Type: boolean
++Default: true
++Description: Clone root password for sashroot?
++ Do you want to make sashroot's password the same as root's password?
++ Note that if you change the root password, sashroot's password will
++ not be updated.
++ .
++ Advantage: easy to remember
++ .
++ Disadvantage: easy to remember
++
++Template: sash/sashroot_passwd
++Type: password
++Description: Enter a password for sashroot
++ Before proceeding, you need to set a password for 'sashroot'. The
++ password shouldn't be easy to guess, and it shouldn't be a word found
++ in the dictionary, or a word that could be easily associated with
++ you, like your middle name. A good password will contain a mixture
++ of letters, numbers and punctuation and will be changed at regular
++ intervals.
++ .
++ Why such caution? The sashroot account doesn't have the restrictions
++ that normal user accounts have. A malicious or unqualified user with
++ root access can have disastrous results.
++ .
++ Note that you will not be able to see the password as you type it.
++
++Template: sash/change_root_shell
++Type: boolean
++Default: false
++Description: Change root's shell?
++ Do you want to change root's shell to sash?
++
++Template: sash/delete_sashroot_on_remove
++Type: boolean
++Default: false
++Description: Delete sashroot account?
++ Do you want to remove the sashroot account?
++ .
++ Advantage: more secure, leaves less clutter on the system
++ .
++ Disadvantage: may lose account customization (if any)
{
const char * cp;
const char * singleCommand;
+ const char * commandFile;
BOOL quietFlag;
BOOL aliasFlag;
- BOOL interactiveFlag;
++ BOOL interactiveFlag;
char buf[PATH_LEN];
singleCommand = NULL;
+ commandFile = NULL;
quietFlag = FALSE;
aliasFlag = FALSE;
- interactiveFlag = FALSE;
++ interactiveFlag = FALSE;
/*
* Look for options.
while (*cp) switch (*cp++)
{
++ case '-':
++ /*
++ * Ignore. This is so that we can be
++ * run from login.
++ */
++ break;
case 'c':
/*
* Execute specified command.
break;
+ case 'f':
+ /*
+ * Execute commands from file.
+ * This is used for sash script files.
+ * The quiet flag is also set.
+ */
+ if ((argc != 1) || commandFile)
+ usage();
+
+ quietFlag = TRUE;
+ commandFile = *argv++;
+ argc--;
+
+ break;
+
+ case 'i':
+ /*
+ * Be an interactive shell
+ * ..is a no-op, but some contexts require this
+ * ..interactiveFlag is to avoid -ic as a legacy
+ */
+ if (singleCommand)
+ usage();
+
+ interactiveFlag = TRUE;
+ break;
+
case 'p':
/*
* Set the prompt string.
{
fprintf(stderr, "Stand-alone shell (version %s)\n", version);
fprintf(stderr, "\n");
- fprintf(stderr, "Usage: sash [-a] [-q] [-c command] [-p prompt] [-i]\n");
- fprintf(stderr, "Usage: sash [-a] [-q] [-f fileName] [-c command] [-p prompt]\n");
++ fprintf(stderr, "Usage: sash [-a] [-q] [-f fileName] [-c command] [-p prompt] [-i]\n");
exit(1);
}